## org.apache.aries.subsystem.core.archive
Class ProvisionPolicyDirective

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractParameter
          org.apache.aries.subsystem.core.archive.AbstractDirective
              org.apache.aries.subsystem.core.archive.ProvisionPolicyDirective

All Implemented Interfaces:
  Directive, Parameter

    public class ProvisionPolicyDirective

extends AbstractDirective

Field Summary
`static ProvisionPolicyDirective` `ACCEPT_DEPENDENCIES`
`static ProvisionPolicyDirective` `DEFAULT`
`static String` `NAME`
`static ProvisionPolicyDirective` `REJECT_DEPENDENCIES`
`static String` `VALUE_ACCEPT_DEPENDENCIES`
`static String` `VALUE_REJECT_DEPENDENCIES`

Constructor Summary
`ProvisionPolicyDirective(String value)`

Method Summary
`static ProvisionPolicyDirective` `getInstance(String value)`
`String` `getProvisionPolicy()`
`boolean` `isAcceptDependencies()`
`boolean` `isRejectDependencies()`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractDirective
`getValue, toString`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractParameter
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.aries.subsystem.core.archive.Parameter
`getName`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### VALUE_ACCEPT_DEPENDENCIES

    public static final String VALUE_ACCEPT_DEPENDENCIES

See Also:
  Constant Field Values

### VALUE_REJECT_DEPENDENCIES

    public static final String VALUE_REJECT_DEPENDENCIES

See Also:
  Constant Field Values

### ACCEPT_DEPENDENCIES

    public static final ProvisionPolicyDirective ACCEPT_DEPENDENCIES

### REJECT_DEPENDENCIES

    public static final ProvisionPolicyDirective REJECT_DEPENDENCIES

### DEFAULT

    public static final ProvisionPolicyDirective DEFAULT

Constructor Detail

### ProvisionPolicyDirective

    public ProvisionPolicyDirective(String value)

Method Detail

### getInstance

    public static ProvisionPolicyDirective getInstance(String value)

### getProvisionPolicy

    public String getProvisionPolicy()

### isAcceptDependencies

    public boolean isAcceptDependencies()

### isRejectDependencies

    public boolean isRejectDependencies()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.